function azim_2d, ar

;.r /data/seismo1/schunker/IDL_PRO/azim_2d

; assumes ar is square!

width=0.5d0 ;  width of the mask in pixels
n=n_elements(ar(*,0))

azim=fltarr(n,n)

; distance array
x=(findgen(n)-n/2)#replicate(1.,n)
y=(findgen(n)-n/2)##replicate(1.,n)

if n mod 2 eq 0 then begin
    x=x+0.5
    y=y+0.5
endif

d=sqrt(x^2 + y^2)

for i=0,fix(n/2.*1.3),width*2. do begin
    dd = (d ge i-width) and (d lt i+width)
    if total(dd) ne 0 then azim = azim + dd * total(ar*dd)/total(dd)
    if total(dd) eq 0 then azim = azim + dd*0. 
endfor


return, azim
end


